Subject: Re: bug#71820: 29.3; Org mode not working

From: nitin choudhary <[email-masked]>
Date: Mon, 1 Jul 2024 16:10:03 +0530

Now I created a new user under windows, and inside that org-mode is working
fine when opening the emacs, so what has changed under my account, how to
fix this?

On Mon, Jul 1, 2024 at 11:33 AM nitin choudhary <[email-masked]> wrote:

> How to use GDB, I tried installing msys2 emacs and cygwin emacs-w32 as
> well, both of them clean installed, zero config, opened and did M-x
> org-version, same result freezes on enter, and I can C-g to cancel it and
> emacs back to normal, emacs is working fine, its just org-mode not working
> at all, how can I debug this using GDB or any other way? I did tried
> debug-on-entry, no result there as well. Now, I'm starting to believe
> something has changed on my windows system, but what it is, I did updates
> and checked permissions, seems fine. I really need to fix this, I thought
> using msys2/cygwin won't have this problem, but surprisingly they're also
> not working!!
>
> On Sat, Jun 29, 2024 at 1:35 PM Eli Zaretskii <[email-masked]> wrote:
>
>> [Please use Reply All to reply, to keep the bug tracker CC'ed.]
>>
>> > From: nitin choudhary <[email-masked]>
>> > Date: Sat, 29 Jun 2024 07:47:18 +0530
>> >
>> > Yes, it's happening in emacs -Q too, everything was working fine, I
>> changed nothing in my config, or pc, it just
>> > stopped working, deleted everything, uninstalled emacs, installed emacs
>> and did emacs -Q, still same :/
>>
>> Then I don't know what happens in your case, sorry.  Unless someone
>> else can reproduce and debug this, I'd say it's something specific to
>> your system.  If you have GDB installed, maybe try to attach it to
>> Emacs when it hangs, and produce a backtrace to tell us where it
>> hangs.  This could give us some hints regarding the possible
>> reason(s).
>>
>